-- This file is automatically run at the start of the frame, so put all your flag enumerations here!
-- FLAGS SHOULD FALL BETWEEN 0-255

-- HARD CODED FLAGS
-- ===================
-- 256 - Highjump Sneakers worn
-- 257 - Buddy helper
-- 300 to 349 - Lifetoasts
-- 350 to 399 - Missle Upgrades

FLAG_FELL_THROUGH_FLOOR = 1
FLAG_DEVICE_BROKE = 2
FLAG_STUNGUN_GOT = 3

FLAG_INTRO_PLAYED = 5
FLAG_SIGN_HELP = 6

FLAG_BRIDGE_BROKE = 8
FLAG_FALLEN	= 9
FLAG_TALKED_TO_MOLE = 10
FLAG_MOLE_GOT_MAD = 11
FLAG_BOOPEE_DEAD = 12
FLAG_SKULLATO_SEEN = 13

FLAG_UC_INTRO = 15
FLAG_CHAMBER = 16
FLAG_REUNITED = 17

FLAG_JOHNNY_BOSS = 18
FLAG_JOHNNY_SHOT = 19
FLAG_BUDDY_RECOGNIZED = 20
FLAG_BUDDY_INTRO = 21
FLAG_SHOES_UNTIED = 22

FLAG_CITY_HALL_REACHED = 23
FLAG_ALBA_STORY = 24

FLAG_SECRET_ENTRANCE_DISCOVERED = 25;
FLAG_POLICE_PANTS_STORY = 26;
FLAG_SOAP_USED = 27;

FLAG_DUNCAN_MET = 28;
FLAG_DUNCAN_BEGGED = 29;
FLAG_DUNCAN_SAVED = 30;

FLAG_BUZZDRIN_FOUGHT = 31;
FLAG_BUZZDRIN_DEFEATED = 32;
FLAG_BUZZDRIN_PATHWAY = 33;

FLAG_JOHNNY_DEFEATED = 34;
FLAG_MAYOR_SAVED = 35;

FLAG_SWITCH_PATHWAY = 36;

FLAG_HATBOY_TALK = 37;

FLAG_GOT_HOTEL_ROOM = 38;

FLAG_BUZZDRIN_SAVED = 39;

FLAG_ARTHUR_TALKED = 40;

FLAG_FOUND_BONES = 41;

FLAG_CHESTER_PIT = 42;

-- ITEM ENUMS

ITEM_DEVICE_NORMAL = 0
ITEM_DEVICE_BROKEN = 1
ITEM_DEVICE_FIXED = 2
ITEM_REWARD_ENV = 3
ITEM_REWARD = 4
ITEM_SOAP = 5
ITEM_HOTELKEY = 6
ITEM_HIJUMP = 24
ITEM_HIJUMP_UNLACED = 25
ITEM_JOHNNY_GUN = 49
ITEM_GRAPPLE_GUN = 50

function rungetmeleescript(num)
	storewindow();
	melee_graphic(num);
	name("")
	speaker("");
	sound("getitem", CHAN_SCRIPTED);
	musvol(0);
	timedsay("Obtained the "..getmeleename(num).."!", 200);
	say("A melee weapon.");
	say( getmeleedescription(num) );
	say("||You can equip this weapon in your hotel room's Melee Closet.");
	givemelee(num);
	musvol(100);
	musres();
	restorewindow();
end

function rungetcostumescript(num)
	storewindow();
	costume_graphic(num);
	name("")
	speaker("");
	sound("getitem", CHAN_SCRIPTED);
	musvol(0);
	timedsay("Obtained the "..getcostumename(num).."!", 200);
	say("A costume.");
	say( getcostumedescription(num) );
	say("||You can wear this costume in your hotel room's Costume Closet.");
	givecostume(num);
	musvol(100);
	musres();
	restorewindow();
end